
CREATE TABLE DB_CONNECTION (
	CONNECTION_ID bigint identity(1,1)  NOT NULL,
	DB_NAME varchar(1000) NOT NULL,
	DB_TYPE varchar(50) NOT NULL,
	NAME varchar(255) NOT NULL,
	DB_PASSWORD varchar(50),
	DB_PORT int,
	DB_SERVER varchar(100),
	DB_USER varchar(50),
	ADO_CONNECTION_STRING varchar(2000),
	JDBC_CONNECTION_STRING varchar(2000),
	PROPERTIES VARCHAR (1000),
	USER_ID bigint
)
;

ALTER TABLE DB_CONNECTION ADD CONSTRAINT PK_CONNECTION
	PRIMARY KEY CLUSTERED (CONNECTION_ID)
;
